{{- $users := (list) -}}
{{- range .Values.keycloak.initUsers -}}
{{-   $creds := (dict) -}}
{{-   $_ := set $creds "type" "password" -}}
{{-   $_ := set $creds "hashedSaltedValue" .passwordHash -}}
{{-   $_ := set $creds "salt" .passwordSalt -}}
{{-   $_ := set $creds "algorithm" (default "pbkdf2-sha256" .passwordHashAlgorithm) -}}
{{-   $_ := set $creds "hashIterations" (default 27500 .passwordHashIterations) -}}
{{-   $credsList := (list) -}}
{{-   $credsList = append $credsList $creds -}}
{{-   $user := (dict) -}}
{{-   $_ := set $user "username" .username -}}
{{-   $_ := set $user "clientRoles" (default (dict) .clientRoles) -}}
{{-   $_ := set $user "realmRoles" (default (list) .realmRoles) -}}
{{-   $_ := set $user "enabled" (default true .enabled) -}}
{{-   $_ := set $user "credentials" $credsList -}}
{{-   if hasKey . "email" }}
{{-     $_ := set $user "email" .email -}}
{{-   end -}}
{{-   $users = append $users $user -}}
{{- end -}}

{
  "realm": "{{ .Values.keycloak.realm.name }}",
  "users": {{ toPrettyJson $users | nindent 4 }}
}
